# `Stripe.OAuth`
[🔗](https://github.com/jeffhuen/tiger_stripe/blob/main/lib/stripe/oauth.ex#L1)

Stripe Connect OAuth helpers.

Convenience module that delegates to `Stripe.Services.OAuthService`.

## Usage

    client = Stripe.client("sk_test_...", client_id: "ca_...")

    # Build authorization URL
    {:ok, url} = Stripe.OAuth.authorize_url(client)

    # Exchange code for token
    {:ok, resp} = Stripe.OAuth.token(client, %{"grant_type" => "authorization_code", "code" => "ac_..."})

    # Revoke access
    {:ok, resp} = Stripe.OAuth.deauthorize(client, %{"stripe_user_id" => "acct_..."})

# `authorize_url`

# `deauthorize`

# `token`

---

*Consult [api-reference.md](api-reference.md) for complete listing*
